Package owl.ltl.robust

## Class Split

- java.lang.Object
- - owl.ltl.robust.Split

-     @Immutable
      public abstract class Split
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Split` | `FALSE` |
    `static Split` | `TRUE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Split()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<Formula>` | `all()` |
    `abstract Formula` | `always()` |
    `static BinaryOperator<Split>` | `combiner​(BinaryOperator<Formula> formulaCombiner)` |
    `abstract Formula` | `eventually()` |
    `abstract Formula` | `eventuallyAlways()` |
    `Formula` | `get​(Robustness level)` |
    `abstract Formula` | `infinitelyOften()` |
    `Split` | `map​(UnaryOperator<Formula> map)` |
    `Split` | `map​(UnaryOperator<Formula> map, boolean grFree)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TRUE

          public static final Split TRUE

    - #### FALSE

          public static final Split FALSE

  - ### Constructor Detail

    - #### Split

          public Split()

  - ### Method Detail

    - #### always

          public abstract Formula always()

    - #### eventuallyAlways

          public abstract Formula eventuallyAlways()

    - #### infinitelyOften

          public abstract Formula infinitelyOften()

    - #### eventually

          public abstract Formula eventually()

    - #### combiner

          public static BinaryOperator<Split> combiner​(BinaryOperator<Formula> formulaCombiner)

    - #### map

          public Split map​(UnaryOperator<Formula> map)

    - #### map

          public Split map​(UnaryOperator<Formula> map,
                           boolean grFree)

    - #### all

          public List<Formula> all()

    - #### get

          public Formula get​(Robustness level)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`